from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.lang import XEventListener

@runtime_checkable
class XFilterControllerListener(XEventListener, Protocol):
    def predicateExpressionChanged(self, Event: FilterEvent) -> None: ...
    def disjunctiveTermRemoved(self, Event: FilterEvent) -> None: ...
    def disjunctiveTermAdded(self, Event: FilterEvent) -> None: ...
